> For a complete page index, fetch https://developer.close.com/llms.txt # Get all integration links for your organization GET https://api.close.com/api/v1/integration_link/ Reference: https://developer.close.com/api/resources/integration-links/list ## Authentication - `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty. - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Response ### 200 Successful response - `data` (list of IntegrationLink, required) - `has_more` (boolean, required) ## Errors ### 400 Bad Request Error Bad request - `any` ### 401 Unauthorized Error Unauthorized - `any` ### 404 Not Found Error Not found - `any` ## Types ### IntegrationLink - `created_by` (string, required, nullable) - `date_created` (datetime, required, nullable) - `date_updated` (datetime, required, nullable) - `id` (string, required) - `name` (string, required) - `organization_id` (string, required) - `type` (enum, required) - Allowed values: `lead`, `contact`, `opportunity` - `updated_by` (string, required, nullable) - `url` (string, required) ## Examples **Response** ```json { "data": [ { "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA", "date_created": "2023-01-01T00:00:00+00:00", "date_updated": "2023-01-01T00:00:00+00:00", "id": "ilink_wRlAku35U53xEV7PcNY3QodEHlgLPonBKkGFAxo9Ehb", "name": "Google Search", "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH", "type": "lead", "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA", "url": "http://google.com/search?q={{lead.display_name}}" }, { "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA", "date_created": "2023-01-01T00:00:00+00:00", "date_updated": "2023-01-01T00:00:00+00:00", "id": "ilink_wRlAku35U53xEV7PcNY3QodEHlgLPonBKkGFAxo9Ehz", "name": "LinkedIn", "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH", "type": "contact", "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA", "url": "https://www.linkedin.com/vsearch/p?keywords={{contact.name}}" } ], "has_more": false } ``` **SDK Code** ```python integration_links_list_example import requests url = "https://api.close.com/api/v1/integration_link/" response = requests.get(url, auth=("", "")) print(response.json()) ``` ```javascript integration_links_list_example const url = 'https://api.close.com/api/v1/integration_link/'; const credentials = btoa(":"); const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go integration_links_list_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.close.com/api/v1/integration_link/" req, _ := http.NewRequest("GET", url, nil) req.SetBasicAuth("", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby integration_links_list_example require 'uri' require 'net/http' url = URI("https://api.close.com/api/v1/integration_link/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request.basic_auth("", "") response = http.request(request) puts response.read_body ``` ```java integration_links_list_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.close.com/api/v1/integration_link/") .basicAuth("", "") .asString(); ``` ```php integration_links_list_example request('GET', 'https://api.close.com/api/v1/integration_link/', [ 'headers' => [ ], 'auth' => ['', ''], ]); echo $response->getBody(); ``` ```csharp integration_links_list_example using RestSharp; using RestSharp.Authenticators; var client = new RestClient("https://api.close.com/api/v1/integration_link/"); client.Authenticator = new HttpBasicAuthenticator("", ""); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ```